New Search

HP-UX Running Apache Remote Denial of Service (DoS) Execution of Arbitrary Code and other vulnerabilities

oval:org.mitre.oval:def:18832

Multiple cross-site scripting (XSS) vulnerabilities in the make_variant_list function in mod_negotiation.c in the mod_negotiation module in the Apache HTTP Server 2.4.x before 2.4.3 when the MultiViews option is enabled allow remote attackers to inject arbitrary web script or HTML via a crafted filename that is not properly handled during construction of a variant list.

Family:
unix
Status:
ACCEPTED
Platform(s):
  • HP-UX 11
Class:
vulnerability
Reference(s):
  • CVE-2012-2687
Product(s):